Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
invoices
/
{invoiceId}
/
write-offs
/
{writeOffId}
Fetch write-off
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/{invoiceId}/write-offs/{writeOffId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "Api_Invoice_Write_Off",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "<string>",
    "amount": 123,
    "memo": "<string>",
    "destination_ledger_account": {
      "type": "AccountId",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "write_off_at": "2023-11-07T05:31:56Z",
    "transaction_tags": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "key": "ExampleTagKey",
        "value": "ExampleTagValue",
        "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "dimension_display_name": "<string>",
        "value_display_name": "<string>",
        "archived_at": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business the invoice is associated with.

invoiceId
string
required

The UUID of the invoice the write-off is applied to.

writeOffId
string
required

The UUID of the write-off to fetch.

Response

data
object
required